# EclipsePlugin

abstract class EclipsePlugin : IdePlugin

A plugin which generates Eclipse files.

#### See also

<a href="https://docs.gradle.org/current/userguide/eclipse_plugin.html">Eclipse plugin reference</a>

## Constructors

EclipsePlugin
Link copied to clipboard
@Inject
constructor(uniqueProjectNameProvider: UniqueProjectNameProvider, artifactRegistry: IdeArtifactRegistry, jvmPluginServices: JvmPluginServices)

## Properties

ECLIPSE_CP_TASK_NAME
Link copied to clipboard
val ECLIPSE_CP_TASK_NAME: String = "eclipseClasspath"
ECLIPSE_JDT_TASK_NAME
Link copied to clipboard
val ECLIPSE_JDT_TASK_NAME: String = "eclipseJdt"
ECLIPSE_PROJECT_TASK_NAME
Link copied to clipboard
val ECLIPSE_PROJECT_TASK_NAME: String = "eclipseProject"
ECLIPSE_TASK_NAME
Link copied to clipboard
val ECLIPSE_TASK_NAME: String = "eclipse"

## Functions

addWorker
Link copied to clipboard
open fun addWorker(worker: Task)
apply
Link copied to clipboard
open fun apply(target: Project)
getCleanTask
Link copied to clipboard
open fun getCleanTask(): TaskProvider<out Task>
getLifecycleTask
Link copied to clipboard
open fun getLifecycleTask(): TaskProvider<out Task>
isRoot
Link copied to clipboard
open fun isRoot(): Boolean
toGradleCommand
Link copied to clipboard
open fun toGradleCommand(project: Project): String